diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index f9faa5bdb9406ba12da0a44e82b6326d03d7d33b..0b8b600e1841aed26a6fbbae98aeb822409207fa 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -331,69 +331,6 @@ default:
 # Lint Jobs
 ################
 
-'📔 Spell-checking':
-  <<: [ *default-job-settings-lint ]
-  stage: 🪄 Lint
-  variables:
-    KUBERNETES_CPU_REQUEST: "2"
-  script:
-    - *prepare-lint-directory
-    - *cspell-cache
-    - *core-spellcheck
-    - mv -f /build/core/package.json $CI_PROJECT_DIR/core/package.json
-    - mv -f /build/core/yarn.lock $CI_PROJECT_DIR/core/yarn.lock
-    - mv /build/core/node_modules $CI_PROJECT_DIR/core
-  cache:
-    key:
-      files:
-        - ./core/package.json
-        - ./core/yarn.lock
-    paths:
-      - ./core/node_modules
-  artifacts:
-    expire_in: 1 week
-    expose_as: 'yarn-vendor'
-    paths:
-      - core/node_modules/
-
-'🧹 PHP Static Analysis (phpstan)':
-  <<: [ *default-job-settings-lint ]
-  stage: 🪄 Lint
-  variables:
-    KUBERNETES_CPU_REQUEST: "4"
-  script:
-    - *prepare-lint-directory
-    - *phpstan-cache
-    - composer validate
-    - composer install --optimize-autoloader
-    - if [ -n "$COMPOSER_UPDATE" ]; then
-        composer update --optimize-autoloader;
-        composer outdated;
-      fi
-    - vendor/bin/phpstan --version
-    # Rely on PHPStan caching to execute analysis multiple times without performance drawback.
-    # Output a copy in junit.
-    - php vendor/bin/phpstan -vvv analyze --configuration=./core/phpstan.neon.dist --error-format=gitlab > $CI_PROJECT_DIR/phpstan-quality-report.json || EXIT_CODE=$?
-    - php vendor/bin/phpstan -vvv analyze --configuration=./core/phpstan.neon.dist --no-progress --error-format=junit > $CI_PROJECT_DIR/phpstan-junit.xml || true
-    - |
-      if [ -n "$EXIT_CODE" ]; then
-        # Output a copy in plain text for human logs.
-        php vendor/bin/phpstan analyze --configuration=./core/phpstan.neon.dist --no-progress || true
-        # Generate a new baseline.
-        echo "Generating an PHPStan baseline file (available as job artifact)."
-        php vendor/bin/phpstan analyze --configuration=./core/phpstan.neon.dist --no-progress --generate-baseline=$CI_PROJECT_DIR/core/.phpstan-baseline.php || true
-        exit $EXIT_CODE
-      fi
-
-  artifacts:
-    # Only store the baseline if the job fails.
-    when: on_failure
-    reports:
-      codequality: phpstan-quality-report.json
-      junit: phpstan-junit.xml
-    paths:
-      - core/.phpstan-baseline.php
-
 '🧹 PHP Coding standards (PHPCS)':
   <<: [ *default-job-settings-lint ]
   stage: 🪄 Lint
@@ -402,218 +339,8 @@ default:
   script:
     - composer validate
     - composer install --optimize-autoloader
-    - if [ -n "$COMPOSER_UPDATE" ]; then
-        composer update --optimize-autoloader;
-        composer outdated;
-      fi
-    - vendor/bin/phpcs --version
-    - composer phpcs -- -s --report-full --report-summary --report-\\Micheh\\PhpCodeSniffer\\Report\\Gitlab=phpcs-quality-report.json
   artifacts:
     expire_in: 1 week
     expose_as: 'web-vendor'
     paths:
       - vendor/
-    reports:
-      codequality: phpcs-quality-report.json
-
-'🧹 JavaScript linting (eslint)':
-  stage: 🪄 Lint
-  variables:
-    KUBERNETES_CPU_REQUEST: "2"
-  # Run on push, or on MRs if CSS files have changed, or manually.
-  rules:
-    - if: $CI_PIPELINE_SOURCE == "push" && $CI_PROJECT_ROOT_NAMESPACE == "project"
-    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
-      changes:
-        - core/.eslint*
-        - core/.prettier*
-        - core/package.json
-        - core/yarn.lock
-        - "**/*.js"
-        - "**/*.yml"
-    - when: manual
-      allow_failure: true
-  script:
-    - *prepare-lint-directory
-    - *eslint-cache
-    - cd core
-    - corepack enable
-    - yarn install
-    - yarn run check:ckeditor5
-    - yarn run lint:core-js-passing --cache --cache-strategy content --format gitlab
-  artifacts:
-    reports:
-      codequality: eslint-quality-report.json
-
-'🧹 CSS linting (stylelint)':
-  stage: 🪄 Lint
-  variables:
-    KUBERNETES_CPU_REQUEST: "2"
-  # Run on push, or on MRs if CSS files have changed, or manually.
-  rules:
-    - if: $CI_PIPELINE_SOURCE == "push" && $CI_PROJECT_ROOT_NAMESPACE == "project"
-    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
-      changes:
-        - core/.stylelintrc.json
-        - core/.prettier*
-        - core/package.json
-        - core/yarn.lock
-        - "**/*.css"
-    - when: manual
-      allow_failure: true
-  script:
-    - *prepare-lint-directory
-    - *stylelint-cache
-    - corepack enable
-    - cd core
-    - yarn install
-    - yarn run build:css --check
-    - yarn run lint:css --cache --cache-location .stylelintcache --cache-strategy content --color  --custom-formatter=@gitlab-formatters/stylelint-formatter-gitlab --output-file=$CI_PROJECT_DIR/gl-codequality.json
-  artifacts:
-    reports:
-      codequality: gl-codequality.json
-
-'⚡️ PHPUnit Unit tests on PHP 8.3':
-  <<: [ *default-job-settings-lint, *default-phpunit-job-settings ]
-  variables:
-    TESTSUITE: PHPUnit-Unit
-    KUBERNETES_CPU_REQUEST: "8"
-    CONCURRENCY: 24
-    _TARGET_PHP: "8.3-ubuntu"
-
-'⚡️ PHPUnit Unit tests on PHP 8.4':
-  <<: [ *default-job-settings-lint, *default-phpunit-job-settings ]
-  variables:
-    TESTSUITE: PHPUnit-Unit
-    KUBERNETES_CPU_REQUEST: "8"
-    CONCURRENCY: 24
-    _TARGET_PHP: "8.4-ubuntu"
-
-'⚡️ PHPUnit Unit tests on PHP 8.5':
-  <<: [ *default-job-settings-lint, *default-phpunit-job-settings ]
-  allow_failure: true
-  variables:
-    TESTSUITE: PHPUnit-Unit
-    KUBERNETES_CPU_REQUEST: "8"
-    CONCURRENCY: 24
-    _TARGET_PHP: "8.5-ubuntu"
-
-'✅️ PHPStan rules tests':
-  <<: [ *default-job-settings-lint ]
-  stage: 🪄 Lint
-  variables:
-    KUBERNETES_CPU_REQUEST: "2"
-  # Run if PHPStan files have changed, or manually.
-  rules:
-    - if: $PERFORMANCE_TEST != "1"
-      changes:
-        - core/tests/PHPStan/**/*
-        - composer/Metapackage/PinnedDevDependencies/composer.json
-    - when: manual
-      allow_failure: true
-  script:
-    - docker-php-ext-enable pcov
-    - cd core/tests/PHPStan
-    - composer install
-    - vendor/bin/phpunit tests --testdox --coverage-text --colors=always --coverage-cobertura=coverage.cobertura.xml --log-junit junit.xml
-  artifacts:
-    when: always
-    reports:
-      junit: core/tests/PHPStan/junit.xml
-      coverage_report:
-        coverage_format: cobertura
-        path: core/tests/PHPStan/coverage.cobertura.xml
-
-'📔 Validatable config':
-  <<: [ *default-job-settings-lint ]
-  stage: 🪄 Lint
-  variables:
-    KUBERNETES_CPU_REQUEST: "2"
-    _TARGET_PHP: "8.3-ubuntu"
-  # Run on MRs if config schema files have changed, or manually.
-  rules:
-    - if: $PERFORMANCE_TEST != "1"
-    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
-      changes:
-        - "**/config/schema/*.schema.yml"
-        # Modules may alter config schema using hook_config_schema_info_alter().
-        - "**/*.module"
-    - when: manual
-      allow_failure: true
-  artifacts:
-    expire_in: 1 week
-    expose_as: 'validatable-config'
-    paths:
-      - HEAD.json
-      - MR.json
-  # This job must pass, but must also not disrupt Drupal core's CI if dependencies are not core-compatible.
-  allow_failure:
-    exit_codes:
-      # `composer require …` fails (implies no version available compatible with Drupal core)
-      - 100
-      # `drush pm:install config_inspector …` fails (implies failure during module installation)
-      - 101
-      # Temporarily allow this to fail as there's are bugs with adding/removing/modifying config schemas.
-      - 1
-  script:
-    # Revert back to the tip of the branch this MR started from.
-    - git checkout -f $CI_MERGE_REQUEST_DIFF_BASE_SHA
-    # Composer-install Drush & the Config Inspector module.
-    - composer require drush/drush drupal/config_inspector || exit 100
-    # Install Drupal's Standard install profile + all core modules (except obsolete ones) + the config inspector module.
-    - php core/scripts/drupal install standard
-    - ls core/modules | grep -v sdc | xargs vendor/bin/drush pm:install --yes
-    - vendor/bin/drush pm:install config_inspector --yes --quiet || exit 101
-    # Compute statistics for coverage of validatable config for HEAD.
-    - vendor/bin/drush config:inspect --statistics > HEAD.json
-    # Return to the MR commit being tested, conditionally install updates, always rebuild the container.
-    - git checkout -f $CI_COMMIT_SHA
-    - git diff $CI_MERGE_REQUEST_DIFF_BASE_SHA $CI_COMMIT_SHA --name-only | grep -q '.install$\|.post_update\.php$' && echo '🤖 Installing DB updates…' && vendor/bin/drush updatedb --yes
-    - vendor/bin/drush cr --quiet
-    # Compute statistics for coverage of validatable config for MR.
-    - vendor/bin/drush config:inspect --statistics > MR.json
-    # Output diff, but never fail the job.
-    - diff -u HEAD.json MR.json || true
-    # Determine if this increased or decreased coverage. Fail the job if it is worse. All the
-    # percentages must be equal or higher, with the exception of `typesInUse`.
-    - |
-      php -r '
-         $head = json_decode(file_get_contents("HEAD.json"), TRUE)["assessment"];
-         $mr = json_decode(file_get_contents("MR.json"), TRUE)["assessment"];
-         unset($head["_description"], $head["typesInUse"], $mr["_description"], $mr["typesInUse"]);
-         $impact = array_map(fn (float $h, float $m) => $m-$h, $head, $mr);
-         exit((int) (min($impact) < 0));
-      '
-
-'Lint cache warming':
-  <<: [ *default-job-settings-lint ]
-  stage: 🪄 Lint
-  rules:
-    - if: $CI_PIPELINE_SOURCE == "push" && $CI_PROJECT_ROOT_NAMESPACE == "project"
-    - if: $CI_PIPELINE_SOURCE == "schedule" && $CI_PROJECT_ROOT_NAMESPACE == "project" && $DAILY_TEST == "1"
-  variables:
-    KUBERNETES_CPU_REQUEST: "4"
-  script:
-    - *prepare-lint-directory
-    - *phpstan-cache
-    - *cspell-cache
-    - *eslint-cache
-    - *stylelint-cache
-    - composer install
-    - vendor/bin/phpstan --version
-    - php vendor/bin/phpstan -vvv analyze --configuration=./core/phpstan.neon.dist
-    - *core-spellcheck
-    - yarn run lint:core-js-passing --cache --cache-strategy content
-    - yarn run build:css --check
-    - yarn run lint:css --cache --cache-location .stylelintcache --cache-strategy content
-    - mv -f /build/core/phpstan-tmp $CI_PROJECT_DIR/core
-    - mv -f /build/core/.cspellcache $CI_PROJECT_DIR/core
-    - mv -f  /build/core/.eslintcache $CI_PROJECT_DIR/core
-    - mv -f  /build/core/.stylelintcache $CI_PROJECT_DIR/core
-  artifacts:
-    paths:
-      - core/phpstan-tmp/resultCache.php
-      - core/.cspellcache
-      - core/.eslintcache
-      - core/.stylelintcache
-
diff --git a/.gitlab-ci/pipeline.yml b/.gitlab-ci/pipeline.yml
index ee6f1e0e1769214f4a64d8075734239d2d7c60ab..1bd76801b9ff54f003515c8694da09dcec243a2c 100644
--- a/.gitlab-ci/pipeline.yml
+++ b/.gitlab-ci/pipeline.yml
@@ -126,149 +126,9 @@ variables:
 # Documentation: https://docs.gitlab.com/ee/ci/jobs/
 ################
 
-'🩹 Test-only changes':
-  <<: [ *with-composer, *default-job-settings ]
-  when: manual
-  allow_failure: true
-  services:
-    - <<: *with-database
-    - <<: *with-selenium-chrome
-  script:
-    - $CI_PROJECT_DIR/.gitlab-ci/scripts/test-only.sh
-
-'🖱️️️ PHPUnit Functional Javascript':
-  <<: [ *with-composer, *run-tests, *default-job-settings ]
-  parallel: 3
-  variables:
-    TESTSUITE: PHPUnit-FunctionalJavascript
-    CONCURRENCY: 5
-    KUBERNETES_CPU_REQUEST: "16"
-  services:
-    - <<: *with-database
-    - <<: *with-selenium-chrome
-  after_script:
-    - echo $MINK_DRIVER_ARGS_WEBDRIVER
-    - sed -i "s#$CI_PROJECT_DIR/##" ./sites/default/files/simpletest/phpunit-*.xml || true
-    - cp /builds/chromedriver.log ./
-
-'👷️️️ PHPUnit Build':
-  <<: [ *with-composer, *run-tests, *default-job-settings ]
-  variables:
-    TESTSUITE: PHPUnit-Build
-    KUBERNETES_CPU_REQUEST: "8"
-    CONCURRENCY: "5"
-  services:
-    - <<: *with-database
-
-'🌐️️ PHPUnit Functional':
-  <<: [ *with-composer, *run-tests, *default-job-settings ]
-  parallel: 8
-  variables:
-    TESTSUITE: PHPUnit-Functional
-    CONCURRENCY: "5"
-    KUBERNETES_CPU_REQUEST: "16"
-  services:
-    - <<: *with-database
-
-'⚙️️ PHPUnit Kernel':
-  <<: [ *with-composer, *run-tests, *default-job-settings ]
-  parallel: 5
-  variables:
-    TESTSUITE: PHPUnit-Kernel
-    KUBERNETES_CPU_REQUEST: "8"
-    CONCURRENCY: 12
-  services:
-    - <<: *with-database
-
-'🦉️️️ Nightwatch':
-  <<: [ *with-composer-and-yarn, *default-job-settings ]
-  variables:
-    KUBERNETES_CPU_REQUEST: "16"
-  services:
-    - <<: *with-database
-    - <<: *with-selenium-chrome
-  script:
-    - export DRUPAL_TEST_DB_URL=$SIMPLETEST_DB
-    - cp ./core/.env.example ./core/.env
-    # dotenv-safe/config does not support environment variables
-    # @see https://github.com/rolodato/dotenv-safe/issues/126
-    # @todo move this to `variables` when the above is resolved
-    - echo "DRUPAL_TEST_BASE_URL='http://localhost/subdirectory'" >> ./core/.env
-    - echo "DRUPAL_TEST_CHROMEDRIVER_AUTOSTART=false" >> ./core/.env
-    - echo "DRUPAL_TEST_DB_URL='${DRUPAL_TEST_DB_URL}'" >> ./core/.env
-    - echo "DRUPAL_TEST_WEBDRIVER_HOSTNAME='selenium'" >> ./core/.env
-    - echo "DRUPAL_TEST_WEBDRIVER_CHROME_ARGS='--disable-dev-shm-usage --disable-gpu --headless --dns-prefetch-disable'" >> ./core/.env
-    - echo "DRUPAL_TEST_WEBDRIVER_W3C=true" >> ./core/.env
-    - echo "DRUPAL_TEST_WEBDRIVER_PORT='4444'" >> ./core/.env
-    - echo "DRUPAL_NIGHTWATCH_OUTPUT='"../nightwatch_output"'" >> ./core/.env
-    - echo "COLUMNS=1000" >> ./core/.env
-    - chown -R www-data:www-data ./sites /var/www
-    - cd core
-    - corepack enable
-    - sudo -u www-data -E -H yarn run test:nightwatch --workers=3
-  after_script:
-    - cp /builds/chromedriver.log ./
-  artifacts:
-    when: always
-    expire_in: 6 mos
-    reports:
-      junit: ./nightwatch_output/**/*.xml
-    paths:
-      - ./nightwatch_output
-      - '*.log'
-
-'🖱️️️ PHPUnit Functional Javascript (non W3C legacy)':
-  <<: [ *with-composer, *default-job-settings ]
-  parallel: 1
-  variables:
-    TESTSUITE: PHPUnit-FunctionalJavascript
-    CONCURRENCY: 6
-    KUBERNETES_CPU_REQUEST: "16"
-    MINK_DRIVER_ARGS_WEBDRIVER: $MINK_DRIVER_ARGS_WEBDRIVER_CHROMEDRIVER_NON_W3C
-  services:
-    - <<: *with-database
-    - <<: *with-chrome
-  script:
-    # Run a small subset of tests to prove non W3C testing still works.
-    - sudo -u www-data -E -H php ./core/scripts/run-tests.sh --color --keep-results --types "$TESTSUITE" --concurrency "$CONCURRENCY" --repeat "1" --sqlite "./sites/default/files/tests.sqlite" --dburl $SIMPLETEST_DB --url $SIMPLETEST_BASE_URL --verbose --non-html javascript
-
-  after_script:
-    - sed -i "s#$CI_PROJECT_DIR/##" ./sites/default/files/simpletest/phpunit-*.xml || true
-    - cp /builds/chromedriver.log ./
-
 '🔁 Repeat Class Test':
   <<: [ *with-composer, *run-repeat-class-test, *default-job-settings ]
-  when: manual
-  allow_failure: true
   variables:
-    REPEAT_TEST_CLASS: 'Drupal\Tests\Change\Me'
+    REPEAT_TEST_CLASS: '\Drupal\Tests\block\Kernel\Migrate\d7\MigrateBlockContentTranslationTest'
   services:
     - <<: *with-database
-
-'🚲 Performance tests':
-  <<: [ *default-job-settings ]
-  rules:
-    - if: $PERFORMANCE_TEST == "1"
-    - when: manual
-      allow_failure: true
-  variables:
-    KUBERNETES_CPU_REQUEST: "24"
-    MINK_DRIVER_ARGS_WEBDRIVER: '["chrome", {"browserName":"chrome","goog:chromeOptions":{"args":["--disable-dev-shm-usage","--disable-gpu","--headless","--no-sandbox"]}}, "http://chrome:9515"]'
-  tags:
-    - performance-test-runner
-  services:
-    - <<: *with-database
-    - <<: *with-chrome
-  script:
-    #  Determine DB driver.
-    - |
-      [[ $_TARGET_DB == sqlite* ]] && export SIMPLETEST_DB=sqlite://localhost/subdirectory/sites/default/files/db.sqlite?module=sqlite
-      [[ $_TARGET_DB == mysql* ]] && export SIMPLETEST_DB=mysql://$MYSQL_USER:$MYSQL_PASSWORD@database/$MYSQL_DATABASE?module=mysql
-      [[ $_TARGET_DB == mariadb* ]] && export SIMPLETEST_DB=mysql://$MYSQL_USER:$MYSQL_PASSWORD@database/$MYSQL_DATABASE?module=mysql
-      [[ $_TARGET_DB == pgsql* ]] && export SIMPLETEST_DB=pgsql://$POSTGRES_USER:$POSTGRES_PASSWORD@database/$POSTGRES_DB?module=pgsql
-    - composer install --optimize-autoloader
-    - export OTEL_COLLECTOR="$OTEL_COLLECTOR"
-    - mkdir -p ./sites/simpletest ./sites/default/files ./build/logs/junit /var/www/.composer
-    - chown -R www-data:www-data ./sites ./build/logs/junit ./vendor /var/www/
-    - sudo -u www-data git config --global --add safe.directory $CI_PROJECT_DIR
-    - sudo SIMPLETEST_BASE_URL="http://$HOSTNAME/subdirectory" -u www-data -E -H ./vendor/bin/phpunit -c core --group OpenTelemetry --log-junit=./sites/default/files/simpletest/phpunit-performance.xml
diff --git a/core/modules/block/tests/src/Kernel/Migrate/d7/MigrateBlockContentTranslationTest.php b/core/modules/block/tests/src/Kernel/Migrate/d7/MigrateBlockContentTranslationTest.php
index ab2072c508b4751709dd55b286051a40b264a749..43f57a2320a5054403ad7783b562d0740d9c1e28 100644
--- a/core/modules/block/tests/src/Kernel/Migrate/d7/MigrateBlockContentTranslationTest.php
+++ b/core/modules/block/tests/src/Kernel/Migrate/d7/MigrateBlockContentTranslationTest.php
@@ -61,9 +61,6 @@ protected function setUp(): void {
    * Tests the migration of block title translation.
    */
   public function testBlockContentTranslation(): void {
-    // @todo Skipped due to frequent random test failures.
-    // See https://www.drupal.org/project/drupal/issues/3389365
-    $this->markTestSkipped();
     /** @var \Drupal\language\ConfigurableLanguageManagerInterface $language_manager */
     $language_manager = $this->container->get('language_manager');